Foreman - Refactor #14319

Remove media_path template helper which is no longer used
03/22/2016 11:52 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Templates
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3359
Description

| haven't find any use of it among community-templates. | think it would be fair to mark as deprecated though. If this could get into
1.11 (as very small change) we'd get one cycle of deprecation warnings.

Related issues:
Related to Foreman - Bug #9782: Using media_path in Templates does not resolv... Closed 03/16/2015

Associated revisions

Revision 545444ec - 03/23/2016 04:43 AM - Marek Hulan

Fixes #14319 - removes unused media_path template helper

History

#1 - 03/22/2016 12:06 PM - Marek Hulan

- Status changed from New to Assigned

So, | realized that media_path is actually unreachable when rendering the template. That's because when you call media_path, it uses rails route
helpers and gives you '/media’ as result. Therefore | don't see much benefit of adding deprecation warning there, someone could still use this helpers
directly from plugin but since it's usecase is for templates rendering | think it's very unlikely. Also it could be easily reverted if needed. Thus I'll simply
remove it.

#2 - 03/22/2016 12:09 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3359 added

#3 - 03/22/2016 12:35 PM - Anonymous
- Related to Bug #9782: Using media_path in Templates does not resolve properly added

#4 - 03/23/2016 05:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 545444ec079a421fc173e1f92a352c256¢c4c4b9a.

#5 - 03/23/2016 08:42 AM - Dominic Cleal

- translation missing: en.field_release set to 136
